#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/29 00:36
# @File        : dsn.py
# @Description :
"""

from flask import Flask


def dsn(app: Flask) -> str:
    """
    Initialize the MySQL dsn extension

    :param app: flask.Flask application instance
    :return: dsn
    """
    mysql_cfg = app.config.get('MySQL')
    if mysql_cfg is None:
        raise KeyError('Key MySQL error')
    return (f'mysql+pymysql://{app.config.MySQL.User}:'
            f'{app.config.MySQL.Password}@{app.config.MySQL.Host}:{app.config.MySQL.Port}/{app.config.MySQL.DB}')
